ОчиститьМакетUIKОтЗаглушек = мир =>
{
    $(`#${мир.макет.константы.заголовокЛево}`).text("");
    $(`#${мир.макет.константы.заголовокПраво}`).text("");
    $(`#${мир.макет.константы.меню}`).text("");
    $(`#${мир.макет.константы.содержимое}`).text("");
};


// // // //


УстановитьМакетUIK = мир =>
{
    document.body.innerHTML = мир.макет.структура;

    var вид = document.createElement("style");
    document.head.appendChild(вид);
    вид.innerHTML = мир.макет.вид;
};


// // // //


НастроитьМакетUIK = мир =>
{
    var название = "пример";
    var html = мир.макет.структура;
    var css = мир.макет.вид;
    
    // Вырезаем тело из макета.
    var начало = html.indexOf("<!-- МАКЕТ_НАЧАЛО -->");
    var конец = html.indexOf("<!-- МАКЕТ_КОНЕЦ -->");
    html = html.substring(начало, конец);

    мир.макет.константы = {
        "заголовокЛево": `${название}-заголовокЛево`,
        "заголовокПраво": `${название}-заголовокПраво`,
        "меню": `${название}-меню`,
        "содержимое": `${название}-содержимое`,
    };
    // Заменяем константы в макете.
    for (var константа in мир.макет.константы)
    {
        var старое = "${" + константа + "}";
        var новое = мир.макет.константы[константа];
        html = html.replace(старое, новое);
        css = css.replace(старое, новое);
    }
    
    мир.макет.структура = html;
    мир.макет.вид = css;
};


// // // //


ЗагрузитьМакетUIK = мир =>
{
    var м = мир.модули.модульПоУказателю(УКАЗАТЕЛЬ_ЭТОГО_МОДУЛЯ);
    var префикс = ИМЯ_ЭТОГО_ФАЙЛА.substring(0, ИМЯ_ЭТОГО_ФАЙЛА.length - 3);
    мир.макет = {
        "структура": м.содержимое[префикс + "🙈.html"],
        "вид": м.содержимое[префикс + "🙈.css"],
    };    
};
